\ProvidesClass{cstr}[2013/12/21 ver 0.2]
\LoadClass[a4paper,12pt]{article}

%----------------------------------------
%                Packages
%----------------------------------------
\usepackage{times}
\usepackage{authblk}
\usepackage{fancyhdr}

%----------------------------------------
%                 margin
%----------------------------------------
\setlength{\topmargin}{-1em}
\setlength{\oddsidemargin}{2mm}
\setlength{\textwidth}{156truemm}
\setlength{\textheight}{240truemm}
\setlength{\headheight}{15pt}

%----------------------------------------
%               maketitle
%----------------------------------------
\def\@maketitle{%
  \newpage\null\vskip 2em
  \begin{center}
    \vskip -5.0em
    {\LARGE\bf \@title \par}
    \vskip 1.5em
    {\large \lineskip .5em
      \begin{tabular}[t]{c}
        \@author
      \end{tabular}\par}
    $^*$Email : \texttt{\@email}
  \end{center}
  \gdef\@email{}
  \vskip 1.5em
}
\def\email#1{\long\gdef\@email{#1}}

%----------------------------------------
%              bibliography
%----------------------------------------
\renewenvironment{thebibliography}[1]
     {\section*{\refname}%
      \@mkboth{\MakeUppercase\refname}{\MakeUppercase\refname}%
      \list{\@biblabel{\@arabic\c@enumiv}}%
           {\settowidth\labelwidth{\@biblabel{#1}}%
            \leftmargin\labelwidth
            \advance\leftmargin\labelsep
%            \setlength\itemsep{-0.2zh}%
%              \setlength\baselineskip{11pt}%
            \@openbib@code
            \usecounter{enumiv}%
            \let\p@enumiv\@empty
            \renewcommand\theenumiv{\@arabic\c@enumiv}}%
      \sloppy
      \clubpenalty4000
      \@clubpenalty \clubpenalty
      \widowpenalty4000%
      \sfcode`\.\@m}
     {\def\@noitemerr
       {\@latex@warning{Empty `thebibliography' environment}}%
      \endlist}



\fancypagestyle{titlepage}
{
% \fancyhead[R]{\footnotesize EPASA2014: International Workshop on Eigenvalue Problems: \\ Algorithms; Software and Applications, in Petascale Computing}
 \fancyfoot[c]{\empty}
 \renewcommand\headrulewidth{0pt}
 \renewcommand\footrulewidth{0pt}
}
